Replay a single check execution
curl --request GET \
--url https://api.devhelm.io/api/v1/forensics/traces/{checkId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devhelm.io/api/v1/forensics/traces/{checkId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devhelm.io/api/v1/forensics/traces/{checkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"checkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evaluations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurredAt": "2023-11-07T05:31:56Z",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"region": "<string>",
"policySnapshotHashHex": "<string>",
"ruleIndex": 123,
"ruleType": "<string>",
"ruleScope": "<string>",
"inputResultIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"outputMatched": true,
"evaluationDetails": {},
"engineVersion": "<string>",
"checkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggeringTransitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"transitions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurredAt": "2023-11-07T05:31:56Z",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromStatus": "<string>",
"toStatus": "<string>",
"reason": "<string>",
"triggeringEvaluationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"affectedRegions": [
"<string>"
],
"policySnapshotHashHex": "<string>",
"engineVersion": "<string>",
"checkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"source": "pipeline"
},
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"policySnapshot": {
"hashHex": "<string>",
"policy": {},
"engineVersion": "<string>",
"firstSeenAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z"
}
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Forensics
Replay a single check execution
Returns every rule evaluation and state transition emitted for this scheduler-minted check_id (V92), plus the policy snapshot that governed them.
GET
/
api
/
v1
/
forensics
/
traces
/
{checkId}
Replay a single check execution
